[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockManager.SetReplacingControl

Specifies the control to be replaced subsequently.

## Declaration

Source position: controls.pp line 523

`public procedure TDockManager.SetReplacingControl(`
`Control: TControl`
`); virtual;`

## Description

This method is called by ReplaceDockedControl, to announce a pending replacement of Control by another control. The next RemoveControl should be ignored, and InsertControl should only exchange the controls, without reorganizing the layout of the docksite. When Control is Nil, this call signals the end of the exchange [obsolete].

## See also

TDockManager.InsertControl |  | Position DropCtl relative Control, using the alignment specified by InsertAt.
TDockManager.RemoveControl |  | Removes the undocked control from the docksite layout.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.